Bug 810347 - Incorrect sampling rate used for 300 baud AFSK
Incorrect sampling rate used for 300 baud AFSK
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: soundmodem (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 12:30 EDT by g.trentalancia
Modified: 2015-02-17 09:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:12:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for the sampling rate estimate (AFSK) (9.59 KB, patch)
2012-04-05 12:31 EDT, g.trentalancia
no flags Details | Diff
Optional patch to make the demodulator filters longer and more robust (AFSK) (922 bytes, patch)
2012-04-05 12:37 EDT, g.trentalancia
no flags Details | Diff

  None (edit)
Description g.trentalancia 2012-04-05 12:30:16 EDT
Description of problem:
Operation at 300 baud AFSK is rendered unusable by a faulty sampling rate selection algorithm in the AFSK modem (and possibly also by low quality filters for demodulation).

Version-Release number of selected component (if applicable):
soundmodem 0.16 (latest release) and probably all previous releases

How reproducible:
Always: select AFSK at 300 baud (or in general bitrates lower than 1200 baud)

Steps to Reproduce:
1.
2.
3.
  
Actual results:
AFSK modulation and demodulation at 300 baud should work properly as for higher bitrates such as 1200 baud.

It cannot (de/)modulate unless the first patch is applied. It might not demodulate properly unless the second patch is also applied (slightly more expensive in terms of CPU cycles).

Expected results:
It should (de/)modulate AFSK 300 baud properly.

Additional info:
A set of two patches is proposed until the original author manages to fix it: 
- soundmodem-0.16-use-a-minimum-samplerate-for-afsk-v5.patch: fix for the sampling rate estimate;
- soundmodem-0.16-increase-rx-filters-parameters.patch: longer and more robust demodulator filters.
Comment 1 g.trentalancia 2012-04-05 12:31:39 EDT
Created attachment 575492 [details]
Fix for the sampling rate estimate (AFSK)
Comment 2 g.trentalancia 2012-04-05 12:37:45 EDT
Created attachment 575493 [details]
Optional patch to make the demodulator filters longer and more robust (AFSK)

The values might not be optimal. In particular they might not be optimal for all possible bit-rates (other than 300 baud) and all setups (e.g. different CPUs, soundcards and so on). However, the values in the patch should not cause an excessive expense in terms of CPU cycles on modern machines.

They have only been tested rather quickly on a SiS 7012 AC'97 audio controller.
Comment 3 g.trentalancia 2012-04-05 12:39:08 EDT
As already explained in the comment, the two patches have not been extensively tested, therefore use it at your own risk.
Comment 4 Fedora End Of Life 2013-04-03 10:16:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Fedora End Of Life 2015-01-09 12:06:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 09:12:30 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.